tigase.stats

## Class StatisticsList

- java.lang.Object
- - tigase.stats.StatisticsList

- All Implemented Interfaces:
    Iterable<StatRecord>

      public class StatisticsList
      extends Object
      implements Iterable<StatRecord>

  Created: Jul 10, 2009 3:23:23 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticsList(Level level)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<E extends Number> boolean` | `add(String comp, String description, Collection<E> value, Level recordLevel)`
    `boolean` | `add(String comp, String description, float value, Level recordLevel)`
    `boolean` | `add(String comp, String description, int value, Level recordLevel)`
    `boolean` | `add(String comp, String description, long value, Level recordLevel)`
    `boolean` | `add(String comp, String description, String value, Level recordLevel)`
    `LinkedHashMap<String,StatRecord>` | `addCompStats(String comp)`
    `boolean` | `checkLevel(Level recordLevel)`
    `boolean` | `checkLevel(Level recordLevel, int value)`
    `boolean` | `checkLevel(Level recordLevel, long value)`
    `boolean` | `checkLevel(Level recordLevel, StatRecord record)`
    `<E> Collection<E>` | `getCollectionValue(String dataId)`
    `<E> Collection<E>` | `getCollectionValue(String comp, String description, Collection<E> def)`
    `int` | `getCompConnections(String comp)`
    `long` | `getCompIq(String comp)`
    `long` | `getCompIqReceived(String comp)`
    `long` | `getCompIqSent(String comp)`
    `long` | `getCompMsg(String comp)`
    `long` | `getCompMsgReceived(String comp)`
    `long` | `getCompMsgSent(String comp)`
    `Set<String>` | `getCompNames()` Returns names of every component for which statistics are stored in `stats` variable
    `long` | `getCompPackets(String comp)`
    `long` | `getCompPres(String comp)`
    `long` | `getCompPresReceived(String comp)`
    `long` | `getCompPresSent(String comp)`
    `long` | `getCompReceivedPackets(String comp)`
    `long` | `getCompSentPackets(String comp)`
    `LinkedHashMap<String,StatRecord>` | `getCompStats(String comp)`
    `Object` | `getValue(String dataId)`
    `<E> Collection<E>` | `getValue(String comp, String description, Collection<E> def)`
    `float` | `getValue(String comp, String description, float def)`
    `int` | `getValue(String comp, String description, int def)`
    `long` | `getValue(String comp, String description, long def)`
    `String` | `getValue(String comp, String description, String def)`
    `Iterator<StatRecord>` | `iterator()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### StatisticsList

          public StatisticsList(Level level)

  - ### Method Detail

    - #### add

          public boolean add(String comp,
                             String description,
                             long value,
                             Level recordLevel)

    - #### add

          public boolean add(String comp,
                             String description,
                             int value,
                             Level recordLevel)

    - #### add

          public boolean add(String comp,
                             String description,
                             String value,
                             Level recordLevel)

    - #### add

          public boolean add(String comp,
                             String description,
                             float value,
                             Level recordLevel)

    - #### add

          public <E extends Number> boolean add(String comp,
                                                String description,
                                                Collection<E> value,
                                                Level recordLevel)

    - #### addCompStats

          public LinkedHashMap<String,StatRecord> addCompStats(String comp)

    - #### checkLevel

          public boolean checkLevel(Level recordLevel)

    - #### checkLevel

          public boolean checkLevel(Level recordLevel,
                                    long value)

    - #### checkLevel

          public boolean checkLevel(Level recordLevel,
                                    StatRecord record)

    - #### checkLevel

          public boolean checkLevel(Level recordLevel,
                                    int value)

    - #### getCompConnections

          public int getCompConnections(String comp)

    - #### getCompIq

          public long getCompIq(String comp)

    - #### getCompIqReceived

          public long getCompIqReceived(String comp)

    - #### getCompIqSent

          public long getCompIqSent(String comp)

    - #### getCompNames

          public Set<String> getCompNames()

      Returns names of every component for which statistics are stored in `stats` variable
      Returns:

    - #### getCompMsg

          public long getCompMsg(String comp)

    - #### getCompMsgReceived

          public long getCompMsgReceived(String comp)

    - #### getCompMsgSent

          public long getCompMsgSent(String comp)

    - #### getCompPackets

          public long getCompPackets(String comp)

    - #### getCompPres

          public long getCompPres(String comp)

    - #### getCompPresReceived

          public long getCompPresReceived(String comp)

    - #### getCompPresSent

          public long getCompPresSent(String comp)

    - #### getCompReceivedPackets

          public long getCompReceivedPackets(String comp)

    - #### getCompSentPackets

          public long getCompSentPackets(String comp)

    - #### getCompStats

          public LinkedHashMap<String,StatRecord> getCompStats(String comp)

    - #### getValue

          public long getValue(String comp,
                               String description,
                               long def)

    - #### getValue

          public float getValue(String comp,
                                String description,
                                float def)

    - #### getValue

          public int getValue(String comp,
                              String description,
                              int def)

    - #### getValue

          public String getValue(String comp,
                                 String description,
                                 String def)

    - #### getValue

          public <E> Collection<E> getValue(String comp,
                                            String description,
                                            Collection<E> def)

    - #### getCollectionValue

          public <E> Collection<E> getCollectionValue(String dataId)

    - #### getCollectionValue

          public <E> Collection<E> getCollectionValue(String comp,
                                                      String description,
                                                      Collection<E> def)

    - #### getValue

          public Object getValue(String dataId)

    - #### iterator

          public Iterator<StatRecord> iterator()

      Specified by:
        `iterator` in interface `Iterable<StatRecord>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018 "Tigase, Inc.". All rights reserved.